#!/usr/bin/env python

#-----------------------------------------------------------------------
# authorsearch.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import os
import sys
import psycopg2
import dotenv

dotenv.load_dotenv()
DATABASE_URL = os.environ['DATABASE_URL']

#-----------------------------------------------------------------------

def main():

    if len(sys.argv) != 2:
        print('Usage: python ' + sys.argv[0] + ' author',
            file=sys.stderr)
        sys.exit(1)

    author = sys.argv[1]

    try:
        with psycopg2.connect(DATABASE_URL) as connection:

            with connection.cursor() as cursor:

                stmt_str = 'SELECT books.isbn, title, quantity '
                stmt_str += 'FROM books, authors '
                stmt_str += 'WHERE books.isbn = authors.isbn '
                stmt_str += 'AND author = \'' + author + '\''
                cursor.execute(stmt_str)

                table = cursor.fetchall()
                for row in table:
                    print('ISBN:', row[0])
                    print('Title:', row[1])
                    print('Quantity:', row[2])
                    print()

    except Exception as ex:
        print(ex, file=sys.stderr)
        sys.exit(1)

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
